# marktstammdaten
Das MaStR führt die Stammdaten zu Strom- und Gaserzeugungsanlagen sowie Marktakteuren wie Anlagenbetreibern, Netzbetreibern und Energielieferanten.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[marktstammdaten]
```

### poetry install

```sh
poetry add deutschland -E marktstammdaten
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import marktstammdaten
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import marktstammdaten
from pprint import pprint
from deutschland.marktstammdaten.api import daten_api
from deutschland.marktstammdaten.model.einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get200_response import EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response
# Defining the host is optional and defaults to https://www.marktstammdatenregister.de/MaStR
# See configuration.py for a list of all supported configuration parameters.
configuration = marktstammdaten.Configuration(
    host = "https://www.marktstammdatenregister.de/MaStR"
)



# Enter a context with an instance of the API client
with marktstammdaten.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = daten_api.DatenApi(api_client)
    sort = "sort_example" # str | Spalte, nach der auf- oder absteigend sortiert werden soll (optional)
    page = 1 # int | Seite, die geladen werden soll (optional)
    page_size = 1 # int | Anzahl an Einträgen pro Seite (optional)
    filter = "filter_example" # str | Syntax: Feld-name~[eq|neq|sw|ct|nct|ew|null|nn]~'Wert'~[and|or]~... (optional)

    try:
        # Erweiterte öffentliche Daten zur Stromerzeugung
        api_response = api_instance.einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get(sort=sort, page=page, page_size=page_size, filter=filter)
        pprint(api_response)
    except marktstammdaten.ApiException as e:
        print("Exception when calling DatenApi->einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www.marktstammdatenregister.de/MaStR*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DatenApi* | [**einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get**](docs/DatenApi.md#einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get) | **GET** /Einheit/EinheitJson/GetErweiterteOeffentlicheEinheitStromerzeugung | Erweiterte öffentliche Daten zur Stromerzeugung
*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gaserzeugung_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gaserzeugung_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitGaserzeugung | Filter für erweiterte Gaserzeugung abfragen
*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gasverbrauch_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gasverbrauch_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitGasverbrauch | Filter für erweiterten Gasverbrauch abfragen
*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromerzeugung_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromerzeugung_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitStromerzeugung | Filter für erweiterte Stromerzeugung abfragen
*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromverbrauch_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromverbrauch_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitStromverbrauch | Filter für erweiterten Stromverbrauch abfragen


## Documentation For Models

 - [EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response](docs/EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response.md)
 - [Entry](docs/Entry.md)
 - [Filter](docs/Filter.md)
 - [FilterListObjectInner](docs/FilterListObjectInner.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in marktstammdaten.apis and marktstammdaten.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.marktstammdaten.api.default_api import DefaultApi`
- `from deutschland.marktstammdaten.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import marktstammdaten
from deutschland.marktstammdaten.apis import *
from deutschland.marktstammdaten.models import *
```

