# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.marktstammdaten',
 'deutschland.marktstammdaten.api',
 'deutschland.marktstammdaten.apis',
 'deutschland.marktstammdaten.model',
 'deutschland.marktstammdaten.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-marktstammdaten',
    'version': '0.1.0',
    'description': 'Marktdatenstammregister API',
    'long_description': '# marktstammdaten\nDas MaStR führt die Stammdaten zu Strom- und Gaserzeugungsanlagen sowie Marktakteuren wie Anlagenbetreibern, Netzbetreibern und Energielieferanten.\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[marktstammdaten]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E marktstammdaten\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import marktstammdaten\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import marktstammdaten\nfrom pprint import pprint\nfrom deutschland.marktstammdaten.api import daten_api\nfrom deutschland.marktstammdaten.model.einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get200_response import EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response\n# Defining the host is optional and defaults to https://www.marktstammdatenregister.de/MaStR\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = marktstammdaten.Configuration(\n    host = "https://www.marktstammdatenregister.de/MaStR"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith marktstammdaten.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = daten_api.DatenApi(api_client)\n    sort = "sort_example" # str | Spalte, nach der auf- oder absteigend sortiert werden soll (optional)\n    page = 1 # int | Seite, die geladen werden soll (optional)\n    page_size = 1 # int | Anzahl an Einträgen pro Seite (optional)\n    filter = "filter_example" # str | Syntax: Feld-name~[eq|neq|sw|ct|nct|ew|null|nn]~\'Wert\'~[and|or]~... (optional)\n\n    try:\n        # Erweiterte öffentliche Daten zur Stromerzeugung\n        api_response = api_instance.einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get(sort=sort, page=page, page_size=page_size, filter=filter)\n        pprint(api_response)\n    except marktstammdaten.ApiException as e:\n        print("Exception when calling DatenApi->einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.marktstammdatenregister.de/MaStR*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DatenApi* | [**einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get**](docs/DatenApi.md#einheit_einheit_json_get_erweiterte_oeffentliche_einheit_stromerzeugung_get) | **GET** /Einheit/EinheitJson/GetErweiterteOeffentlicheEinheitStromerzeugung | Erweiterte öffentliche Daten zur Stromerzeugung\n*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gaserzeugung_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gaserzeugung_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitGaserzeugung | Filter für erweiterte Gaserzeugung abfragen\n*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gasverbrauch_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_gasverbrauch_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitGasverbrauch | Filter für erweiterten Gasverbrauch abfragen\n*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromerzeugung_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromerzeugung_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitStromerzeugung | Filter für erweiterte Stromerzeugung abfragen\n*FilterApi* | [**einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromverbrauch_get**](docs/FilterApi.md#einheit_einheit_json_get_filter_columns_erweiterte_oeffentliche_einheit_stromverbrauch_get) | **GET** /Einheit/EinheitJson/GetFilterColumnsErweiterteOeffentlicheEinheitStromverbrauch | Filter für erweiterten Stromverbrauch abfragen\n\n\n## Documentation For Models\n\n - [EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response](docs/EinheitEinheitJsonGetErweiterteOeffentlicheEinheitStromerzeugungGet200Response.md)\n - [Entry](docs/Entry.md)\n - [Filter](docs/Filter.md)\n - [FilterListObjectInner](docs/FilterListObjectInner.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in marktstammdaten.apis and marktstammdaten.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.marktstammdaten.api.default_api import DefaultApi`\n- `from deutschland.marktstammdaten.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import marktstammdaten\nfrom deutschland.marktstammdaten.apis import *\nfrom deutschland.marktstammdaten.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/marktstammdaten-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
